# backup
- name:  "name add .myconf to cron user {{ mariadb_cron_user }}"
  template:
    src: "backup_user.my.cnf.j2"
    dest: "~/.my.cnf"
    owner: "{{ mariadb_cron_user }}"
    mode: "0600"
  become_user: "{{ mariadb_cron_user }}"

- name: "set fact for cron script dir"
  set_fact:
    mariadb_cron_script_dir: "/home/{{ mariadb_cron_user }}"

- name: "add backup script"
  template:
    src: "cron_mysqldump.j2"
    dest: "{{ mariadb_cron_script_dir }}/cron_mysqldump"
    mode: "0554"
    owner: "{{ mariadb_cron_user }}"
  become: true

- name: "add backup directory"
  file:
    path: "{{ mariadb_backup_dir }}"
    state: "directory"
    mode: "0750"
    owner: "{{ mariadb_cron_user }}"
  become: true

- name: "install moreutils for chronic"  
  yum:
    name: "moreutils" 
  become: true

- name: "add cron variables to cron user {{ mariadb_cron_user }}"
  cronvar:
    name: "{{ item.name }}"
    value: "{{ item.value }}"
    state: "{{ item.state | default('present') }}"
    user: "{{ mariadb_cron_user }}"
  become: true
  loop:
  - name: "MAILTO"
    value: "{{ mariadb_cron_email }}"

- name: "add cron job for backup"
  cron:
    name: "backup mariadb"
    job: "OUTPUT_DIR={{ mariadb_backup_dir | quote }} OUTPUT={{ mariadb_backup_dir  | quote }}/$(date +{{ mariadb_backup_filename_format | quote }}).sql chronic {{ mariadb_cron_script_dir }}/cron_mysqldump"
    minute: "{{ mariadb_cron_minute }}"
    hour: "{{ mariadb_cron_hour }}"
    user: "{{ mariadb_cron_user }}"
  become: true
